Zabbix Documentation 3.0

2.23.04.04.2 (current)In development:4.4 (devel)Unsupported:1.82.02.43.23.4

User Tools

Site Tools

This translation is older than the original page and might be outdated. See what has changed.

Sidebar

pt:manual:installation:upgrade

5 Processo de atualização

Visão geral

Esta sessão provê os passos para um upgrade bem sucedido de uma versão 2.4.x do Zabbix para a 3.0.0

O processo de upgrade do banco de dados poderá demorar.
Certifique-se de ler o guia de atualização antes de proceder com o upgrade.
1 Pare o Zabbix Server

Pare o Zabbix Server para garantir que não ocorrerão novas inserções de dados.

2 Faça um backup do banco de dados do Zabbix

Este é um passo muito importante. Certifique-se que você possui um backup retornável de seu banco de dados. Isso será de grande valia caso o processo de upgrade falhe (falta de espaço em disco, queda de energia, ou outro problema não esperado).

3 Faça um backup dos arquivos de configuração, PHP e binários do Zabbix

Faça um backup dos binários do Zabbix, arquivos de configuração e arquivos da interface web.

4 Instale os novos binários do Zabbix Server

Você pode utilizar binários pré-compilados ou compilar a partir dos fontes.

5 Revise os parâmetros de configuração do Zabbix Server

É possível que alguns parâmetros de configuração no zabbix_server.conf tenham sido modificados ou adicionados da versão 2.4 para a 3.0, você deverá rever isso.

6 Inicie os novos binários

Antes de iniciar o Zabbix Server:

  • Certifique-se que o usuário de banco de dados definido no arquivo de configuração possui os privilégios necessários (create table, drop table, create index, drop index)
  • Certifique-se que existe espaço em disco disponível.

Execute os novos binários e verifique os logs para constatar se foram iniciados com sucesso.

O Zabbix Server irá atualizar automaticamente o banco de dados, você pode acompanhar o progresso do upgrade pelo zabbix_sever.log.

O Zabbix Server atualizará automaticamente o banco de dados somente se for um upgrade do Zabbix 2.x.y para 3.0. Para upgrade de versões anteriores à 2.0 consulte a documentação.

7 Atualizar a interface web

O requisito mínimo de versão do PHP foi atualizado também antes era a versão 5.3.0 e agora é a versão 5.4.0. Se necessário proceda com a atualização e siga as instruções de instalação.